Subject: Re: Touching Base!

From: Dion <[email-masked]>
Date: Wed, 27 Aug 97 10:56:31 PDT

comments below.

	From: Warren Toomey <[email-masked]>
	Subject: Re: Touching Base!
	To: Dion <[email-masked]>
	Date: Wed, 27 Aug 1997 10:36:38 +1000 (EST)
	Reply-To: [email-masked]
	
	In article by Dion:
	> Warren,
	> 
	> Good progress.  We have some positive consensus developing.
	> Here is the proposed license terms (roughly, not fully legalized
	> yet).  Please let me know if you see any problems with this
	> proposal:
	
	Thanks Dion.  Firstly, it looks good!  Secondly, can I attach the
	draft to the petition status page, or should I keep it to myself
	for now.

As I said earlier, let's wait.  I think we can have a license
pretty soon.  Our most eminent legal eagle is on the case.
	
	> use, store, reproduce, edit, adapt, enchance, improve, otherwise
	  modify, transmit electronically, repackage
	
	> * licensees have the right to install UNIX binaries on PDP-11 hardware and
	>   PDP-11 emulating software
	
	I'd like to change this to ``install UNIX software on ...''.  We
	will need to install the source code if we want to reconfigure
	the kernel or to make enhancements and improvements.

right.  Done.
	
	We obviously must take precautions to prevent non-licensees from
	viewing the source code.  They can use the binaries if they agree
	to the existing SCO binary license.

Right.
	
	The price sounds good too!!!!

Thanks.

	> * SCO is not required to provide copies of any source code, binaries or
	>   documentation with the source code and binary license for PDP-11 UNIXes

	Finally, the problem of src/binary distribution.  Most of us do
	have the src already, but I'm sure I will get email thus:
	
		I've bought a license from SCO for PDP-11 UNIX src/binaries. Can
		you give me copies please?
	
	I can see three approaches:
	
	  + SCO provides access to the source: CD-ROMs and/or FTP site.
	
	  + SCO keeps the FTP site & deals with passwords etc. I would be
	    happy to maintain the files on the site.
	
	  + I maintain an FTP site, and possibly get into CD-ROM burning myself.
	    The latter would be expensive for the low-quantities.

Our problem is that, apparently, no one is left around here who knows
where these ancient sources ARE.  They may be in storage somewhere in
NJ, possibly on 1/2" tapes or gawd knows what media.  I think there would
be reluctance to pull people off new product development to go spelunking
for this stuff.   

If you licensees can take care of the maintenance, it will encourage
our mgt to go along with this whole idea ("no material cost to SCO").

I'll send you a box of blank CDROMs. :-) 
	
	If I maintain the FTP site, I'd need to get guaranteed verifiable
	license info from SCO so that I can ensure only legitimate
	licensees have access.  I don't want to be sued for breach of
	license.

The goal is that licensees are allowed to mutually exchange and share
the software.  I think we should be able to send you a list of licensees
on a regular basis, or new licensees.  

	The distribution problem is something that we can address after the license
	wording is completed and they go on sale. I think the wording you e-mailed
	me is everything we wanted (if we can install src on machines)!!!
	
	Thanks again for your work and the lawyers work on this.

You are most welcome.
	
	Cheers,
		Warren

---

From: Warren Toomey <wkt>
Date: Thu, 28 Aug 1997 09:53:35 +1000 (EST)

> pretty soon.  Our most eminent legal eagle is on the case.

Ok Dion. On the petition status web page, all I've mentioned is that I've
seen a non-legal draft version which gives us basically what we asked for
in the petition.

After re-reading the draft carefully, I did have a few more suggestions.
You can probably pass the next section directly to your legal eagle,
and pass on our appreciation for his/her work.

Thoughts on the Draft License
-----------------------------

It essentially looks good, but I have a few quibbles. Obviously SCO wants
to protect the source code. The binaries are already covered to some extent
with the binary license SCO released earlier this year. The status of the
documentation (man pages, other papers) seems a bit unclear, so it would
be good if this is made more explicit.

We want to be able to install full distributions (src, docs, binaries),
but the draft only mentions installing UNIX binaries.

Some organisations have existing UNIX licenses from Western Electric or AT&T.
I think that these existing licenses need to be mentioned in the new license.

Below is a rewording of the draft send to me by Dion Johnson, with proposed
changes to accomodate the above quibbles. The changes are marked in => <=.
I'd appreciate it if you would give them some consideration.

 +  the license covers the entire distributions (source code, binaries and
    documentation) of the following versions of UNIX:
         o  1st, 2nd, 3rd, 4th, 5th, 6th and 7th Edition UNIX
         o  32V UNIX
         o  PWB/UNIX
         o  those portions of all 2BSD releases which are derived from UNIX
              source code

 +  licensees have these rights wrt the => distributions <= of the above
    versions of UNIX:

	Use, store, reproduce, edit, adapt, enhance, improve, otherwise
	modify, transmit electronically, and repackage.

 +  These rights are licensed to noncommercial users.  The source may
    not be sold nor used to develop commercial versions of UNIX.

 +  licensees have the right to install UNIX => distributions <= on
    PDP-11 hardware and PDP-11 emulating software.

 +  licensees have the right to allow noncommercial use of the UNIX
    binaries => and documentation <= on systems for which the product is
    licensed.
    
 +  license is not transferable.

 +  source code covered by the license cannot be distributed or disclosed
    to people not covered by the license, => or by existing UNIX software
    licenses from Western Electric or AT&T <=.  The licensees are permitted
    to collaborate on modifications and mutually share their modifications.

 +  SCO is not required to provide copies of any source code, binaries or
    documentation with the source code and binary license for PDP-11 UNIXes

 + License Fee:  SCO charges a one-time license fee of $100 per
   licensee, for a site license for one organization.

[ I'm unclear on this point, it seems there's a word missing: $100 per
   licensee, OR for a site license for one organization. Is this correct? ]

 +  We may, at some future time, provide source distributions (if/when
    we can find the sources), but this is not committed.  We know that
    the licensees have, between them, most of the needed sources.

-----------------------------

> 	Finally, the problem of src/binary distribution.
> 

I didn't think you guys would want to get into the distribution bit, which
is completely understandable. I think we've got as much as there is left.
There's nothing before 5th Edition, except for some material on paper which
Dennis Ritchie owns.

I am prepared to perform some of the distribution, e.g by burning CDs
and by having an FTP site. I don't want to be sued in the process! So I
really need a way of verifying who actually does have a SCO license.

You guys must attach serial numbers to each license. Can you email me
name/serial number pairs? This would help me to authenticate people.

But as I said before, the distribution problem is something that we can
address after the license wording is completed and they go on sale.
 	
Thanks again,
	Warren